%global _empty_manifest_terminate_build 0
%global pypi_name rich

Name:		python-%{pypi_name}
Version:	13.7.1
Release:	1
Summary:	Render rich text, tables, progress bars, syntax highlighting, markdown and more to the terminal
License:	MIT
URL:		https://github.com/willmcgugan/rich
Source0:	%{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch

%description
Rich is a Python library for rich text and beautiful formatting in the terminal

%package -n python3-%{pypi_name}
Summary:	Render rich text, tables, progress bars, syntax highlighting, markdown and more to the terminal
Provides:	python-%{pypi_name} = %{version}-%{release}

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-poetry-core
BuildRequires:  python3-markdown-it-py

%description -n python3-%{pypi_name}
Rich is a Python library for rich text and beautiful formatting in the terminal

%package help
Summary:	Development documents and examples for rich
Provides:	python3-%{pypi_name}-doc
%description help
Rich is a Python library for rich text and beautiful formatting in the terminal

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/doclist.lst .

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/rich-*.dist-info/
%{python3_sitelib}/rich/

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 14 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 13.7.1-1
- Update package to version 13.7.1
- Fix double-width characters disappearing when wrapping

* Thu Aug 10 2023 mengzhaoa <mengzhaoa@isoftstone.com> - 13.4.2-1
- Upgrade package python-rich of version to 13.4.2

* Fri Nov 11 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 12.6.0-1
- Package init